public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/qscintilla-python/
Date: Wed,  3 Apr 2019 01:01:15 +0000 (UTC)	[thread overview]
Message-ID: <1554253203.04d72718957bc2e95d3b22bb925b488490759204.pesa@gentoo> (raw)

commit:     04d72718957bc2e95d3b22bb925b488490759204
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  3 00:04:53 2019 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Wed Apr  3 01:00:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04d72718

dev-python/qscintilla-python: proper fix for the parallel install failure

Also switch to an out-of-source build

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Davide Pesavento <pesa <AT> gentoo.org>

 .../qscintilla-python-2.11.1.ebuild                | 29 +++++++++++-----------
 1 file changed, 15 insertions(+), 14 deletions(-)

diff --git a/dev-python/qscintilla-python/qscintilla-python-2.11.1.ebuild b/dev-python/qscintilla-python/qscintilla-python-2.11.1.ebuild
index dfe6ef7c314..4c02bf5f03f 100644
--- a/dev-python/qscintilla-python/qscintilla-python-2.11.1.ebuild
+++ b/dev-python/qscintilla-python/qscintilla-python-2.11.1.ebuild
@@ -6,11 +6,16 @@ EAPI=7
 PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
 inherit python-r1 qmake-utils
 
-MY_P=QScintilla_gpl-${PV/_pre/.dev}
-
 DESCRIPTION="Python bindings for QScintilla"
 HOMEPAGE="https://www.riverbankcomputing.com/software/qscintilla/intro"
-SRC_URI="https://www.riverbankcomputing.com/static/Downloads/QScintilla/${MY_P}.tar.gz"
+
+MY_PN=QScintilla
+MY_P=${MY_PN}_gpl-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+	SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+	SRC_URI="https://www.riverbankcomputing.com/static/Downloads/${MY_PN}/${PV}/${MY_P}.tar.gz"
+fi
 
 LICENSE="GPL-3"
 SLOT="0"
@@ -33,27 +38,24 @@ RDEPEND="${DEPEND}"
 
 S=${WORKDIR}/${MY_P}/Python
 
-src_prepare() {
-	default
-	python_copy_sources
-}
-
 src_configure() {
 	configuration() {
 		local myconf=(
 			"${PYTHON}"
-			configure.py
+			"${S}"/configure.py
 			--pyqt=PyQt5
 			--qmake="$(qt5_get_bindir)"/qmake
-			--sip-incdir="$(python_get_includedir)"
 			$(usex debug '--debug --trace' '')
 			--verbose
 		)
 		echo "${myconf[@]}"
 		"${myconf[@]}" || die
 
-		# Run eqmake to respect toolchain, build flags, and prevent stripping
-		eqmake5 -recursive
+		# Fix parallel install failure
+		sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets' ${MY_PN}.pro || die
+
+		# Run eqmake to respect toolchain and build flags
+		eqmake5 -recursive ${MY_PN}.pro
 	}
 	python_foreach_impl run_in_build_dir configuration
 }
@@ -64,8 +66,7 @@ src_compile() {
 
 src_install() {
 	installation() {
-		# parallel install fails because mk_distinfo.py runs too early
-		emake -j1 INSTALL_ROOT="${D}" install
+		emake INSTALL_ROOT="${D}" install
 		python_optimize
 	}
 	python_foreach_impl run_in_build_dir installation


             reply	other threads:[~2019-04-03  1:01 UTC|newest]

Thread overview: 85+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-04-03  1:01 Davide Pesavento [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-08  7:54 [gentoo-commits] repo/gentoo:master commit in: dev-python/qscintilla-python/ Michał Górny
2024-05-08  7:54 Michał Górny
2024-04-16 21:31 Jimi Huotari
2024-04-16 21:31 Jimi Huotari
2023-10-18 15:51 Sam James
2023-10-18 15:51 Sam James
2023-09-17  6:17 Sam James
2022-11-23 21:18 Andreas Sturmlechner
2022-10-28 18:55 Sam James
2022-10-28 18:55 Sam James
2022-09-26 17:18 Andreas Sturmlechner
2022-09-26 17:18 Andreas Sturmlechner
2022-06-01  1:56 Sam James
2022-06-01  1:55 Sam James
2021-10-22  3:02 Davide Pesavento
2021-10-22  3:02 Davide Pesavento
2021-08-02  3:04 Davide Pesavento
2021-08-02  3:04 Davide Pesavento
2021-07-31  4:14 Sam James
2020-12-17  1:17 Davide Pesavento
2020-10-23 23:27 Andreas Sturmlechner
2020-08-18 11:16 Agostino Sarubbo
2020-08-01 23:20 Andreas Sturmlechner
2020-06-16  5:47 Davide Pesavento
2020-06-10 22:36 Davide Pesavento
2020-03-26 18:38 Davide Pesavento
2020-03-22 10:37 Agostino Sarubbo
2020-03-21 15:52 Agostino Sarubbo
2020-03-07 15:11 Michał Górny
2020-01-11 19:25 Davide Pesavento
2019-12-31 14:06 Agostino Sarubbo
2019-12-31 14:02 Agostino Sarubbo
2019-12-27  1:01 Davide Pesavento
2019-12-23  0:09 Davide Pesavento
2019-12-03  4:18 Aaron Bauman
2019-12-03  2:57 Davide Pesavento
2019-11-16 19:55 Davide Pesavento
2019-04-03  1:01 Davide Pesavento
2019-03-21 20:46 Davide Pesavento
2019-03-21 20:30 Davide Pesavento
2018-12-31 23:44 Davide Pesavento
2018-12-31 22:27 Davide Pesavento
2018-12-29 19:12 Thomas Deutschmann
2018-12-15 20:37 Davide Pesavento
2018-10-07 23:22 Davide Pesavento
2018-09-16 23:53 Davide Pesavento
2018-08-26 17:57 Davide Pesavento
2018-08-25 18:48 Davide Pesavento
2018-08-25 18:11 Davide Pesavento
2018-07-09 14:02 Mikle Kolyada
2018-07-06 13:43 Thomas Deutschmann
2018-04-15 17:16 Davide Pesavento
2018-04-12 21:42 Andreas Sturmlechner
2018-04-12 19:07 Thomas Deutschmann
2018-04-06 15:51 Aaron Bauman
2018-03-04 22:16 Davide Pesavento
2017-11-27 23:58 Andreas Sturmlechner
2017-11-25  0:54 Davide Pesavento
2017-11-25  0:33 Davide Pesavento
2017-11-20 15:42 Manuel Rüger
2017-11-12  7:26 Davide Pesavento
2017-11-12  7:26 Davide Pesavento
2017-11-12  7:26 Davide Pesavento
2017-11-02 21:16 Thomas Deutschmann
2017-09-30  7:18 Sergei Trofimovich
2017-09-29 11:33 Michael Palimaka
2017-08-19 18:40 Davide Pesavento
2017-05-02  8:47 Michał Górny
2017-04-16  5:18 Davide Pesavento
2017-01-25  0:54 Davide Pesavento
2017-01-22  1:21 Davide Pesavento
2017-01-08 18:20 Davide Pesavento
2017-01-01 14:20 Michael Palimaka
2016-12-31  6:05 Andrey Grozin
2016-12-22 18:26 David Seifert
2016-10-02 10:08 Jeroen Roovers
2016-07-27  9:31 Davide Pesavento
2016-07-14 20:43 Davide Pesavento
2016-07-14 12:36 Davide Pesavento
2016-07-13 21:22 Michael Palimaka
2016-04-23 22:36 Davide Pesavento
2016-04-20  0:40 Davide Pesavento
2016-04-20  0:40 Davide Pesavento
2015-10-24 15:44 Davide Pesavento

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1554253203.04d72718957bc2e95d3b22bb925b488490759204.pesa@gentoo \
    --to=pesa@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox